> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> Retrieves a paginated list of accounts. Use `GET /accounts/:id/balance` to retrieve balance details for a specific account.



## OpenAPI

````yaml /api-reference/openapi.json get /accounts/
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /accounts/:
    get:
      tags:
        - Accounts
      summary: List accounts
      description: >-
        Retrieves a paginated list of accounts. Use `GET /accounts/:id/balance`
        to retrieve balance details for a specific account.
      operationId: list_accounts
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            default: 20
            examples:
              - 20
              - 50
              - 100
            description: 'Maximum number of items to return (1-100, default: 20)'
            type: integer
            exclusiveMinimum: 0
            maximum: 100
        - name: cursor
          in: query
          required: false
          schema:
            description: >-
              Opaque cursor for pagination. Pass nextCursor from previous
              response to get next page.
            type: string
        - name: id
          in: query
          required: false
          schema:
            description: Filter accounts by exact ID match
            type: string
            format: uuid
        - name: status
          in: query
          required: false
          schema:
            description: Filter accounts by status (comma-separated)
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - RESTRICTED
              description: >-
                - `ACTIVE`: Account is fully operational

                - `RESTRICTED`: Account is restricted (e.g., as a result of
                fraud detection)
              example: ACTIVE
        - name: ownerType
          in: query
          required: false
          schema:
            description: >-
              Filter accounts by owner type (comma-separated). When omitted,
              only user- and company-owned accounts are returned. Pass `PROJECT`
              explicitly to retrieve the project master account; this is only
              valid for program-funded projects.
            type: array
            items:
              type: string
              enum:
                - USER
                - COMPANY
                - PROJECT
              description: |-
                - `USER`: Account owned by an individual
                - `COMPANY`: Account owned by a business
                - `PROJECT`: Master collateral account owned by the project
              example: USER
        - name: ownerId
          in: query
          required: false
          schema:
            description: >-
              Filter accounts by owner ID (comma-separated). Matches either the
              user or company owner of the account.
            type: array
            items:
              type: string
              format: uuid
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Account'
                      description: Account resource
                  nextCursor:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Cursor for next page, or null if no more items
                required:
                  - items
                  - nextCursor
        '400':
          description: >-
            The PROJECT owner-type filter is only valid for program-funded
            projects
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: INVALID_OWNER_TYPE_FILTER
                      message:
                        type: string
                      detail:
                        anyOf:
                          - type: object
                            additionalProperties: {}
                          - type: 'null'
                    required:
                      - code
                      - message
                      - detail
                required:
                  - error
                title: InvalidOwnerTypeFilterError
components:
  schemas:
    Account:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique account identifier
        status:
          type: string
          enum:
            - ACTIVE
            - RESTRICTED
          description: Current account status
          example: ACTIVE
        ownerType:
          type: string
          enum:
            - USER
            - COMPANY
            - PROJECT
          description: Type of entity that owns this account
          example: USER
        ownerId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            Owner entity ID (user or company). Null for `PROJECT`-owned master
            accounts.
        chainAddresses:
          type: array
          items:
            $ref: '#/components/schemas/ChainAddress'
          description: >-
            Deposit addresses by chain. Empty for accounts without provisioned
            wallets (user accounts on `PROGRAM_FUNDED` projects).
        createdAt:
          type: string
          examples:
            - '2024-01-15T10:30:00Z'
          description: ISO 8601 timestamp of creation
        updatedAt:
          type: string
          examples:
            - '2024-01-15T10:35:00Z'
          description: ISO 8601 timestamp of last update
      required:
        - id
        - status
        - ownerType
        - ownerId
        - chainAddresses
        - createdAt
        - updatedAt
    ChainAddress:
      type: object
      properties:
        chainId:
          type: string
          enum:
            - ETHEREUM_MAINNET
            - ETHEREUM_SEPOLIA
            - BASE_MAINNET
            - BASE_SEPOLIA
            - ARBITRUM_ONE_MAINNET
            - ARBITRUM_ONE_SEPOLIA
            - POLYGON_MAINNET
            - POLYGON_AMOY
            - SOLANA_MAINNET
            - SOLANA_DEVNET
          description: Blockchain network identifier
          example: ETHEREUM_MAINNET
        address:
          type: string
          examples:
            - '0x742d35Cc6634C0532925a3b844Bc9e7595f8fA21'
          description: Deposit address on this chain
      required:
        - chainId
        - address
      description: Deposit address for a specific blockchain
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````